## livecd-rootfs 2.765.44

=== debian/changelog ===
livecd-rootfs (2.765.44) jammy; urgency=medium

  [ Rémy Martin ]
  * Backport support for building tegra-igx Server and Core images;
    LP: #2070070.

 -- Philip Roche <phil.roche@canonical.com>  Thu, 27 Jun 2024 14:11:06 +0100

livecd-rootfs (2.765.43) jammy; urgency=medium

  * buildd/02-disk-image-uefi add udev early hook to satisfy grub-probe
    and grub-install. (LP: #2064175)

 -- Simon Poirier <simon.poirier@canonical.com>  Fri, 07 Jun 2024 12:27:04 -0400

livecd-rootfs (2.765.42) jammy; urgency=medium

  [ Ankush Pathak ]
  * Add policy:unconfined_restrictions feature to 6.5 kernel (LP: #2062929)

 -- Philip Roche <phil.roche@canonical.com>  Wed, 22 May 2024 12:39:15 +0100

livecd-rootfs (2.765.41) jammy; urgency=medium

  [Jess Jang ]
  * add 5.15 apparmor directory for snap preseeding with 5.15 kernel
    (LP: #2052789)

 -- Philip Roche <phil.roche@canonical.com>  Wed, 21 Feb 2024 11:31:50 +0000

livecd-rootfs (2.765.40) jammy; urgency=medium

  * Handle the allwinner kernel in the same way as we handle generic. This
    change seems to been missed, as it was present in noble. (LP: #2054412)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 20 Feb 2024 09:48:10 +0100

livecd-rootfs (2.765.39) jammy; urgency=medium

  [ dann frazier ]
  * Use flock to avoid races with systemd-udevd that cause loop device
    partitions to briefly disappear. (LP: #2045586)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 19 Feb 2024 09:25:09 +1300

livecd-rootfs (2.765.38) jammy; urgency=medium

  * Add a largemem subarch for ubuntu-server that ships a 64k kernel variant
    by default (LP: #2050209)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 25 Jan 2024 11:46:49 +0100

livecd-rootfs (2.765.37) jammy; urgency=medium

  * fix: Fix for calling unminimize if lxd-installer package
    not installed. (LP: #2049723)

 -- Philip Roche <phil.roche@canonical.com>  Mon, 22 Jan 2024 13:26:43 +0000
 

livecd-rootfs (2.765.36) jammy; urgency=medium

  * Use correct /etc/ssh/sshd_config.d/ filename so cloud-init overrides
    via cloud-config works. (LP: #2049860)

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Fri, 19 Jan 2024 09:34:04 +0100
