## livecd-rootfs 2.765.51

=== debian/changelog ===
livecd-rootfs (2.765.51) jammy; urgency=medium

  * add cpc-sbom to create_manifest calls to generate sboms (LP: #2077105) 

 -- jchittum <john.chittum@canonical.com>  Wed, 28 Aug 2024 07:57:11 -0400

livecd-rootfs (2.765.50) jammy; urgency=medium

  * Replace some functionalities done by the windows launcher (which will
    going to be retired) to rootfs build side: (LP: #2080223)
    - enable systemd by default
    - ship up to 3 rootfs tarballs, differentiating by the upgrade policy

 -- Didier Roche-Tolomelli <didrocks@ubuntu.com>  Tue, 10 Sep 2024 15:41:48 +0200

livecd-rootfs (2.765.49) jammy; urgency=medium

  * The package-lists for tasks are shell lines, so to remove the unwanted
    packages, we need to be a bit more creative.
  * Remove the late hook that was removing v4l2loopback packages - as those
    are no longer installed in the first place.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 10 Sep 2024 12:25:44 +0200

livecd-rootfs (2.765.48) jammy; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Fix previous attempt by removing the package from the task list manually.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Sep 2024 14:09:34 -0700

livecd-rootfs (2.765.47) jammy; urgency=medium

  * Explicitly remove v4l2loopback packages to workaround issue with tasks
    and seeds. Should fix build failure (LP: #2079803).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 06 Sep 2024 10:50:02 +0200

livecd-rootfs (2.765.46) jammy; urgency=medium

  * Add 6.8 kernel apparmor features' preseeds. (LP: #2074204)

 -- Ankush Pathak <ankush.pathak@canonical.com>  Fri, 26 Jul 2024 19:59:25 +0530

livecd-rootfs (2.765.45) jammy; urgency=medium

  * Remove openssh-server and ssh-import-id from the ubuntu-server
    minimal and full layers (LP: #1974483).

 -- Chris Peterson <chris.peterson@canonical.com>  Tue, 30 Jul 2024 13:58:15 -0700
