## livecd-rootfs 2.765.54

=== debian/changelog ===
livecd-rootfs (2.765.54) jammy; urgency=medium

  * Add support for arm64+tegra-jetson flavor. (LP: #2091392)

 -- Remy Martin <remy.martin@canonical.com>  Fri, 06 Dec 2024 17:53:30 +0000

livecd-rootfs (2.765.53) jammy; urgency=medium

  * live-build/ubuntu-cpc/hooks.d/base/disk-image-uefi.binary: ensure
    install_gub always creates a manifest before returning. (LP: #2086455)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 04 Dec 2024 05:55:42 +1300

livecd-rootfs (2.765.52) jammy; urgency=medium

  *  Add apparmor policy permstable32 missing component (LP: #2084698)

 -- Jess Jang <jess.jang@canonical>  Wed, 16 Oct 2024 10:48:13 -0500
