## livecd-rootfs 2.791

=== debian/changelog ===
livecd-rootfs (2.791) kinetic; urgency=medium

  [ Brian Murray ]
  * Finish the rename of FK_FORCE_CONTAINER into FK_FORCE. (LP: #1989194)

  [ Simon Poirier ]
  * update apparmor feature overlay match the target kernel (LP: #1993204)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Oct 2022 13:08:52 -0700

livecd-rootfs (2.790) kinetic; urgency=medium

  * riscv: reduce the size of the intird for Nezha and LicheeRV
  * fix invalid redirects

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 13 Oct 2022 15:38:01 +0200

livecd-rootfs (2.789) kinetic; urgency=medium

  * re-enable snap preseed (LP: #1991011) 

 -- jchittum <john.chittum@canononical.com>  Thu, 13 Oct 2022 12:41:23 -0500

livecd-rootfs (2.788) kinetic; urgency=medium

  * riscv: Remove the default installation of the Wifi driver for the LicheeRV
    board as the package is in universe, and only install its dependencies
    instead.

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Wed, 12 Oct 2022 14:15:58 +0200

livecd-rootfs (2.787) kinetic; urgency=medium

  [ Samir Akarioh ]
  * fix: build OCI image failed to build.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 29 Sep 2022 13:55:17 +0530

livecd-rootfs (2.786) kinetic; urgency=medium

  * linux-firmware-raspi2 is now the package known as linux-firmware-raspi.

 -- Brian Murray <brian@ubuntu.com>  Tue, 27 Sep 2022 13:51:05 -0700

livecd-rootfs (2.785) kinetic; urgency=medium

  * Disable the snap-preseed calls in the interest of getting images built for
    the 22.10 beta. (LP: #1990884)

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Sep 2022 15:55:26 -0700

livecd-rootfs (2.784) kinetic; urgency=medium

  * Don't set a desktop base seed for ubuntu-base or ubuntu-core.
  * autopkgtest now references ubuntu-server:live, the only ubuntu-server we
    still build.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Sep 2022 01:52:55 -0700

livecd-rootfs (2.783) kinetic; urgency=medium

  [ Alexandre Ghiti ]
  * Support for the LicheeRV Dock and Microchip icicle.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Sep 2022 12:02:03 +0200

livecd-rootfs (2.782) kinetic; urgency=medium

  * Default to using 'desktop' for the base seed so we don't have another
    place we have to extend the list for each new flavor (ubuntu-unity)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 22 Sep 2022 15:36:51 -0700

livecd-rootfs (2.781) kinetic; urgency=medium

  * Drop override of components for raspi images.  The reference to
    multiverse is historic, all firmware is now in restricted where it
    should be; and raspi images should not categorically include universe,
    they should follow the per-flavor rules.
  * Drop use of deprecated apt-key.
  * Drop edubuntu and kubuntu-active, both obsolete in *all* supported
    releases.
  * Fix passing of components to germinate commandline (how did this ever
    work?)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Sep 2022 16:47:49 -0700

livecd-rootfs (2.780) kinetic; urgency=medium

  * live-build/auto/config: set COMPONENTS for all flavors *before* we
    invoke germinate.  Fixes a regression introduced in commit 07873ec.
    In the process, stop declarations of COMPONENTS that shadow the default
    in germinate (main restricted).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Sep 2022 12:56:26 -0700

livecd-rootfs (2.779) kinetic; urgency=medium

  * ubuntu-cpc/hooks.d/base/disk-image-uefi.binary: Bump UEFI disk image
    size for amd64 to 3.5 GB.
    Current builds are failing because the disk size is not big enough.

 -- Ivan Kapelyukhin <ivan.kapelyukhin@canonical.com>  Wed, 14 Sep 2022 18:55:20 +0200

livecd-rootfs (2.778) kinetic; urgency=medium

  [ Rudra Saraswat ]
  * Add live packages to Ubuntu Unity config.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 14 Sep 2022 16:11:10 +0200

livecd-rootfs (2.777) kinetic; urgency=medium

  * Rename FK_FORCE_CONTAINER into FK_FORCE as its role was extended to also
    support chroot (LP: #1989194).

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Thu, 08 Sep 2022 16:25:36 +0200

livecd-rootfs (2.776) kinetic; urgency=medium

  * Do not modify /etc/ssh/sshd_config for ubuntu-cpc project
    builds. (LP: #1968873). The cloud-init bug (LP #1968873) got
    fixed so using a config snippet now.

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Tue, 23 Aug 2022 10:45:06 +0200

livecd-rootfs (2.775) kinetic; urgency=medium

  [ Rudra Saraswat ]
  * Add ubuntu-unity flavor support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 31 Aug 2022 13:34:53 -0700

livecd-rootfs (2.774) kinetic; urgency=medium

  * Remove modemmanager and udisks2 from cloud images in addition to fwupd.
    The use of tasks at install means all packages are marked manually
    installed in the apt database, so removing fwupd does not remove its
    dependencies.  LP: #1981109.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 04 Aug 2022 11:24:55 -0700

livecd-rootfs (2.773) kinetic; urgency=medium

  * When adding the new RISC-V platforms, some of the generic non-SUBARCH code
    went missing and some invalid assumptions have been made, causing cloud
    images to fail building. This upload fixes these.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 29 Jul 2022 18:05:09 +0200

livecd-rootfs (2.772) kinetic; urgency=medium

  * When converting images to qcow2 stop using the traditional image format
    and switch to using the default image format which will include zero
    clusters and allow efficient copy-on-read for sparse images.

 -- Brian Murray <brian@ubuntu.com>  Thu, 28 Jul 2022 14:04:45 -0700

livecd-rootfs (2.771) kinetic; urgency=medium

  [ Steve Langasek ]
  * Drop support for building i386 images aside from the launchpad builder
    images.
  * Remove fwupd from the cloud images.  LP: #1981109.

  [ Michael Hudson-Doyle ]
  * Fix some issues with the netboot tarballs:

