## livecd-rootfs 2.791.1

=== debian/changelog ===
livecd-rootfs (2.791.1) kinetic; urgency=medium

  [ Samir Akarioh ]
  * feat: Add metadata on ubuntu-oci image. (LP: #1998229)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 09 Dec 2022 21:19:45 +0530
