## livecd-rootfs 2.828

=== debian/changelog ===
livecd-rootfs (2.828) lunar; urgency=medium

  * 099-ubuntu-image-customization.chroot: Remove redundant creation of oem
    user and oem-config-prepare (LP: #2016285)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 14 Apr 2023 09:48:31 +0100

livecd-rootfs (2.827) lunar; urgency=medium

  * Fix netboot tarball generation code to properly handle the recent change
    of shim to use alternatives (and the path becoming a symlink).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 13 Apr 2023 19:28:46 +0200

livecd-rootfs (2.826) lunar; urgency=medium

  * Now that we moved the seeding for canary into further layers, a resed of
    the preseeding is not required.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 13 Apr 2023 14:46:43 +0200

livecd-rootfs (2.825) lunar; urgency=medium

  * For canary images, actually consider moving the seed listed snaps from
    both minimal and standard layers to the classic layer.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 13 Apr 2023 11:46:37 +0200

livecd-rootfs (2.824) lunar; urgency=medium

  * Fix build failures of desktop raspi images due to canary hooks
    interfering.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 13 Apr 2023 09:43:58 +0200

livecd-rootfs (2.823) lunar; urgency=medium

  * Update infinite_scream URL to mastodon
  * Make PROPOSED=1 builds work with NotAutomatic (lunar and later).
    LP: #2016022.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Apr 2023 10:40:56 -0700

livecd-rootfs (2.822) lunar; urgency=medium

  [ jchittum ]
  * riscv64: fix conditional check in install-grub to correctly check if
    platform supports grub-efi-64, or exit func. (LP: #2015750)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Apr 2023 08:37:30 -0700

livecd-rootfs (2.821) lunar; urgency=medium

  [ Chad Smith ]
  * desktop livecd: allow cloud-init to write netplan config instead of
    directly to /etc/NetworkManager because ubuntu-desktop-installer
    will write netplan config in ephemeral boot stage when
    autoinstall.network is provided. This allows ubuntu-desktop-installer
    to control all netplan config written and apply to the ephemeral boot
    as generated from /etc/netplan/*. (LP: #2015605)

  [ Dan Bungert ]
  * d/control: fix uninstallability of livecd-rootfs due to rsync not being on
    i386.

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 07 Apr 2023 17:24:28 -0600

livecd-rootfs (2.820) lunar; urgency=medium

  * Initial implementation of canary image builds for 23.04.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 05 Apr 2023 20:50:35 +0200

livecd-rootfs (2.819) lunar; urgency=medium

  [ Heinrich Schuchardt ]
  * Add image for StarFive VisionFive 2.

  [ Steve Langasek ]
  * Update URL to point to ubuntu-archive-team.ubuntu.com.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 05 Apr 2023 18:01:07 +0200

livecd-rootfs (2.818) lunar; urgency=medium

  [ Dave Jones ]
  * raspi: drop mkswap.service and swapfile.swap units in
    099-ubuntu-image-customization.chroot in favour of units provided by
    ubuntu-raspi-settings-desktop
  * raspi: drop 01-network-manager-all.yaml in favour of configuration
    provided by ubuntu-raspi-settings-desktop
  * raspi: drop growfs option from fstab in favour of growroot-almost
    service provided by ubuntu-raspi-settings-desktop

  [ William 'jawn-smith' Wilson ]
  * Skip oem-config setup in hooks if the oem user already exists.

 -- Dave Jones <dave.jones@canonical.com>  Tue, 28 Mar 2023 14:38:55 +0100

livecd-rootfs (2.817) lunar; urgency=medium

  [ John Chittum ]
  * revert ipc change. kernel 6.2 will have the correct setting 

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Mar 2023 12:11:06 -0700

livecd-rootfs (2.816) lunar; urgency=medium

  [ Chad Smith ]
  * Replace cloud-init.service on NetworkManager images to address an ordering
    cycle interfering with autoinstall with ubuntu-desktop-installer.
    (LP: #2008952)

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 24 Mar 2023 18:35:46 -0600

livecd-rootfs (2.815) lunar; urgency=medium

  [ Dan Bungert ]
  * debian/control: depend on zstd to fix unmkinitramfs failure.

  [ Łukasz 'sil2100' Zemczak ]
  * Change the mini-iso livefs artifact name from .mini-iso.iso to .iso to be
    more compatible with existing cdimage machinery.
  * Rename variables accessed in the mini-iso to the equivalents exported to
    binary hooks.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 23 Mar 2023 10:43:29 +0100

livecd-rootfs (2.814) lunar; urgency=medium

  * Adjust journald settings for live-server for compatibility with Subiquity.
    With a move to core22 we can turn zstd back on, but the new compact flag
    needs to be off. (LP: #2006985)

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 20 Mar 2023 15:00:52 -0600

livecd-rootfs (2.813) lunar; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Make sure that for devel we also use the right intel-iot kernel flavor
    for the images. We don't build any for this series, but it's good to have
    parity in the devel branch.
  * Add support for building intel-iot server images. Not used in lunar, but
    adding to keep devel up-to-date with changes.

  [ Steve Langasek ]
  * No new dependencies on i386 (xorriso).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 18 Mar 2023 08:25:03 -0700

livecd-rootfs (2.812) lunar; urgency=medium

  * Inform cloud-init when network manager is in use.  (LP: #1982855)

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 09 Mar 2023 14:59:17 -0600

livecd-rootfs (2.811) lunar; urgency=medium

  [ John Chittum ]
  * fix: remove ipc from apparmor features in 6.1
  * open 2.810 release

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 09 Mar 2023 18:10:05 +0000

livecd-rootfs (2.810) lunar; urgency=medium

  * Add ubuntu-mini-iso build project.


