=== debian/control ===
--- 
+++ 
@@ -27,23 +27,24 @@
          lsb-release,
          lzma,
          make,
-         mount,
          parted,
          procps,
          python3,
          python3-apt,
-         python3-launchpadlib,
+         python3-launchpadlib [!i386],
          python3-yaml,
          qemu-utils [!i386],
-         rsync,
+         rsync [!i386],
          snapd (>= 2.39) [!i386],
          squashfs-tools (>= 1:3.3-1),
          sudo,
          u-boot-tools [armhf arm64],
          ubuntu-image [!i386 !riscv64],
          python3-vmdkstream [amd64 i386],
+         xorriso [!i386],
          xz-utils,
-         zerofree
+         zerofree,
+         zstd
 Breaks: ubuntu-defaults-builder (<< 0.32)
 Description: construction script for the livecd rootfs
  livecd-rootfs provides the script used to create the root filesystem
