## livecd-rootfs 2.828.3

=== debian/changelog ===
livecd-rootfs (2.828.3) lunar; urgency=medium

  [ Heinrich Schuchardt ]
  * arm: fix console parameter for ARM cloud-images (LP: #2036730)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Dec 2023 08:51:51 -0800

livecd-rootfs (2.828.2) lunar; urgency=medium

  [ Steve Langasek ]
  * The chroot tmpfs mount should only be /var/lib/apt/lists, not
    /var/lib/apt; the latter breaks changes to /var/lib/apt/extended_states.
    (LP: #2036195).

 -- Phil Roche <phil.roche@canonical.com>  Thu, 19 Oct 2023 17:30:20 +0100
 

livecd-rootfs (2.828.1) lunar; urgency=medium

  * Fix unminimize to correctly list packages. (LP: #1996489)
  * Install LXD snap from stable/ubuntu-<version> channel. (LP: #2036725)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 04 Oct 2023 13:42:33 +0530
