=== debian/tests/control ===
Tests: default-bootstraps
Depends: @, lsb-release
Restrictions: needs-root isolation-machine allow-stderr

Tests: minimized
Depends: @, lsb-release
Restrictions: needs-root isolation-machine
