## livecd-rootfs 23.10.55

=== debian/changelog ===
livecd-rootfs (23.10.55) mantic; urgency=medium

  * fix: add 6.5 kernel appamor features to livecd-rootfs based on
    features pulled from 6.5.0.1006 kernel in proposed (LP: #2037567)

 -- jchittum <john.chittum@canonical.com>  Thu, 05 Oct 2023 11:10:43 -0500

livecd-rootfs (23.10.54) mantic; urgency=medium

  * Update the desktop fde model to include firmware-updater

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Oct 2023 22:32:37 +0200

livecd-rootfs (23.10.53) mantic; urgency=medium

  * oem, budgie: kernel in the live layer

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 03 Oct 2023 10:42:32 -0600

livecd-rootfs (23.10.52) mantic; urgency=medium

  [ Philip Roche ]
  * fix: Sort filelists creating when building ubuntu-cpc images (LP: #2033677)
  * fix: Create .filelist in ubuntu-cpc project binary hooks that do not use
    create_manifest shared function (LP: #2033751)
    * fix: Ensure any created .filelist is symlinked with expected prefix
      and correct permissions
    * fix: disk-image-non-cloud ubuntu-cpc build target now provides
      manifest and filelist

  [ Steve Langasek ]
  * remove ssl-cert "snakeoil" private keys from images, since this makes
    them not very private.  LP: #2037869.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Oct 2023 18:13:03 -0700

livecd-rootfs (23.10.51) mantic; urgency=medium

  [ Dimitri John Ledkov ]
  * Add support to live-build/lb_chroot_layered to allow adding the kernel to
    the currently required layer location, which fixes arm64+x13s and also
    allows for removing live-build/ubuntu/hooks/020-ubuntu-live.binary.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 02 Oct 2023 14:55:29 -0600

livecd-rootfs (23.10.50) mantic; urgency=medium

  * live-build/ubuntu/hooks: ensure kernel artifacts named with subarch

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 29 Sep 2023 21:36:07 +0100

livecd-rootfs (23.10.49) mantic; urgency=medium

  [ Phil Roche ]
  * fix: arm64 flash-kernel removal from ubuntu-cpc project cloud images
    (LP: #2037074)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 27 Sep 2023 22:37:45 -0700

livecd-rootfs (23.10.48) mantic; urgency=medium

  [ Dimitri John Ledkov ]
  * Add support for x13s subarch.  LP: #2037099.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 27 Sep 2023 12:49:04 -0700

livecd-rootfs (23.10.47) mantic; urgency=medium

  [ Phil Roche ]
  * fix: Ensure that grub/shim package installs do not install recommends for
    minimized ubuntu-cpc image builds (LP: #2037075)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 26 Sep 2023 15:04:09 -0700

livecd-rootfs (23.10.46) UNRELEASED; urgency=medium

  [ Simon Poirier ]
  * Fix use of variable declared in conditional branch and used in parent
    scope in snap_validate_seed. This would affect binary for images without
    kernel and using "set -u". (LP: #2037338)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 26 Sep 2023 15:11:07 +1300

livecd-rootfs (23.10.45) mantic; urgency=medium

  * budgie: Configure universe & multiverse sources (LP: #2036966)

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 25 Sep 2023 13:57:21 -0600

livecd-rootfs (23.10.44) mantic; urgency=medium

  * Fix the subarch used in the hook to identify images for sifive
    unmatched.  LP: #2037060.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Sep 2023 10:58:57 -0700

livecd-rootfs (23.10.43) mantic; urgency=medium

  * The unminimize script should install the lxd snap from the per-release
    channel, the same as in the full image. (LP: #2036725)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 22 Sep 2023 15:01:43 +0530

livecd-rootfs (23.10.42) mantic; urgency=medium

  * fix: Fix the missing `fi` with the recent changes in the
    `unminimize` script for `ubuntu-cpc` project (LP: #2036591)

 -- Phil Roche <phil.roche@canonical.com>  Tue, 19 Sep 2023 11:30:19 +0100

livecd-rootfs (23.10.41) mantic; urgency=medium

  * ubuntu-cpc: create a new boot partition on all UEFI cloud-images
  * ubuntu-cpc: refactor the logic to define the disk image size for UEFI
    images

 -- Gauthier Jolly <gauthier.jolly@canonical.com>  Tue, 19 Sep 2023 08:20:00 -0700

livecd-rootfs (23.10.40) mantic; urgency=medium

  * Enhance unminimize to transform into a base image
    for ubuntu-cpc.
  * Install linux-virtual to restore the stripped headers
    for ubuntu-cpc.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Tue, 19 Sep 2023 14:05:19 +0530

livecd-rootfs (23.10.39) mantic; urgency=medium

  * The chroot tmpfs mount should only be /var/lib/apt/lists, not
    /var/lib/apt; the latter breaks changes to /var/lib/apt/extended_states.
    LP: #2036195.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 Sep 2023 15:06:23 -0700

livecd-rootfs (23.10.38) mantic; urgency=medium

  * desktop: construct a minimal+tpmfde catalog variation, with matching
    layers (LP: #2036461)

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 18 Sep 2023 15:48:33 -0600

livecd-rootfs (23.10.37) mantic; urgency=medium

  * fix: ensure minimize-manual script uses passed in argument for all commands (LP: #2036198)
  * fix: armhf flavour for 6.5+ kernel is now generic (LP: #2036192)

 -- Philip Roche <phil.roche@ubuntu.com>  Fri, 15 Sep 2023 11:58:23 +0100

livecd-rootfs (23.10.36) mantic; urgency=medium

  * Since we restored the minimal layer, we also need to adjust all hook
    conditionals to use the minimal.standard layer name instead of standard.
  * 020-ubuntu-live.binary hook: make sure the kernel and initrd artifacts are
    named correctly.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 13 Sep 2023 11:43:22 +0200

livecd-rootfs (23.10.35) mantic; urgency=medium

  * Restore a desktop minimal layer and use if by default (ffe lp: #2034261)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Sep 2023 13:12:16 +0200

livecd-rootfs (23.10.34) mantic; urgency=medium

  [ Steve Langasek ]

