## livecd-rootfs 23.10.57

=== debian/changelog ===
livecd-rootfs (23.10.57) mantic; urgency=medium

  [ Heinrich Schuchardt ]
  * arm: fix console parameter for ARM cloud-images (LP: #2036730)

 -- Brian Murray <brian@ubuntu.com>  Wed, 06 Dec 2023 11:30:35 -0800

livecd-rootfs (23.10.56) mantic; urgency=medium

  * Enable snap preseeding with ppc64el images where /boot/vmlinux is used
    instead of /boot/vmlinuz. (LP: #2038957)

 -- Philip Roche <phil.roche@canonical.com>  Wed, 11 Oct 2023 11:41:00 +0100
