## livecd-rootfs 23.10.60

=== debian/changelog ===
livecd-rootfs (23.10.60) mantic; urgency=medium

  [ Ankush Pathak ]
  * Add policy:unconfined_restrictions feature to 6.5 kernel (LP: #2062929)

 -- Philip Roche <phil.roche@canonical.com>  Wed, 22 May 2024 11:55:15 +0100

livecd-rootfs (23.10.59) mantic; urgency=medium

  * Use Ubuntu policy default channel "latest" for preseeded snaps
    (LP: #2061121)

 -- Philip Roche <phil.roche@canonical.com>  Fri, 12 Apr 2024 12:37:29 +0100

livecd-rootfs (23.10.58) mantic; urgency=medium

  [ Simon Poirier ]
  * fix: add back systemd-resolved to buildd images (LP: #2007419)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 03 Jan 2024 15:17:17 +0000
