## livecd-rootfs 24.04.14

=== debian/changelog ===
livecd-rootfs (24.04.14) noble; urgency=medium

  * When the files we're creating in the live layer have static content,
    ship them in live-build/ubuntu/includes.chroot.minimal.standard.live
    instead of generating them from
    live-build/ubuntu/hooks/020-ubuntu-live.chroot_early.  Also fixes the
    fact that live-build/ubuntu/hooks/020-ubuntu-live.chroot_early was
    incorrectly writing to /root in the previous upload instead of /usr.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 Dec 2023 11:40:02 -0800

livecd-rootfs (24.04.13) noble; urgency=medium

  * Drop support for building armhf+raspi images; as of noble these are
    arm64-only.
  * live-build/ubuntu/hooks/020-ubuntu-live.chroot_early: move code here
    from scripts/casper-bottom/61desktop_canary_tweaks that should be done
    statically at image build time, not at boot.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 Dec 2023 08:15:34 -0800

livecd-rootfs (24.04.12) noble; urgency=medium

  * Switch Edubuntu to the new installer.
  * Add casper to minimal.standard.live seed.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 12 Dec 2023 12:56:37 -0800

livecd-rootfs (24.04.11) noble; urgency=medium

  * Explicitly add_package linux-$KERNEL_FLAVOURS in Ubuntu Studio.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Dec 2023 18:34:07 -0800

livecd-rootfs (24.04.10) noble; urgency=medium

  * Set C.UTF-8 locale in /etc/default/locale for all images; originally
    intended to be landed in the cosmic cycle..
  * Project name for Ubuntu Studio needs to be 'ubuntustudio-dvd'
    throughout, not 'ubuntustudio'.  

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Dec 2023 15:07:41 -0800

livecd-rootfs (24.04.9) noble; urgency=medium

  * When building locally using the auto/build script unmounting fails.
    Instead of mounting /dev/pts per bind mount the devpts file system
    directly.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 08 Dec 2023 15:43:04 +1300

livecd-rootfs (24.04.8) noble; urgency=medium

  [ Erich Eickmeyer ]
  * Switch Ubuntu Studio to the new installer.

  [ Steve Langasek ]
  * Remove *-dvd glob handling for live layers; Ubuntu Studio is the only
    remaining "DVD" flavor, and with the move to the new installer this bit
    is also now incorrect.
  * live-build/auto/config: fail immediately on unknown arch/subarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Dec 2023 15:36:30 -0800

livecd-rootfs (24.04.7) noble; urgency=medium

  [ Dave Jones ]
  * Remove more bits related to pre-installed desktop images (LP: #2038098)

  [ Jean-Baptiste Lallement ]
  * Include -updates when calling germinate.  LP: #1921862.

  [ Dan Bungert ]
  * cpc/vagrant: fix possible autopkgtest hang on ssh-keygen

  [ Simon Poirier ]
  * add systemd-resolved back to buildd images.  LP: #2007419.

  [ Steve Langasek ]
  * live-build/functions: add additional debugging to mount_image() on
    failure since we again have loop partitions failing to be block devices.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Dec 2023 21:38:27 -0800

livecd-rootfs (24.04.6) noble; urgency=medium

  * Re-enable universe for pre-installed images (LP: #2044154)

 -- Ankush Pathak <ankush.pathak@canonical.com>  Tue, 21 Nov 2023 11:26:46 -0500

livecd-rootfs (24.04.5) noble; urgency=medium

  [ Yao Wei (魏銘廷) ]
  * ubuntu-oem: add dummy files in order not to fail make-hooks

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 17 Nov 2023 17:20:44 +1300

livecd-rootfs (24.04.4) noble; urgency=medium

  * Drop a few remaining 'legacy' references.
  * Drop cargo-culted code for "preinstalled" images.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Nov 2023 16:42:19 +0200

livecd-rootfs (24.04.3) noble; urgency=medium

  * Drop the legacy images for both Ubuntu and Ubuntu Budgie.
  * We no longer need to remove ubiquity from the Ubuntu live layer and
    install ubuntu-desktop-installer, this is now handled via the seeds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Nov 2023 22:06:57 +0200

livecd-rootfs (24.04.2) noble; urgency=medium

  * Enable snap preseeding with ppc64el images where /boot/vmlinux is used
    instead of /boot/vmlinuz. (LP: #2038957)

 -- Philip Roche <phil.roche@canonical.com>  Thu, 26 Oct 2023 17:56:00 +0100
 

livecd-rootfs (24.04.1) noble; urgency=medium

  [ Steve Langasek ]
  * call ubuntu-image classic with --debug, because --verbose doesn't give
    us anything useful in the livefs build logs.

  [ Heinrich Schuchardt ]
  * arm: fix console parameter for ARM cloud-images (LP: #2036730)

 -- Paride Legovini <paride@ubuntu.com>  Wed, 25 Oct 2023 17:58:13 +0200
