## livecd-rootfs 24.04.19

=== debian/changelog ===
livecd-rootfs (24.04.19) noble; urgency=medium

  * live-build/auto/config: don't repeatedly add the same pass name to the
    list of layers.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 Jan 2024 11:03:55 -0800

livecd-rootfs (24.04.18) noble; urgency=medium

  * update apparmor feature overlay match for target 6.6 kernel.

 -- Thomas Bechtold <thomas.bechtold@canonical.com>  Tue, 16 Jan 2024 13:06:37 +0100

livecd-rootfs (24.04.17) noble; urgency=medium

  * unminimize: Use lxd-installer to install LXD itself. (LP: #2036725)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 11 Jan 2024 15:12:53 +0530

livecd-rootfs (24.04.16) noble; urgency=medium

  * Fix overlooked syntax error in live-build/auto/config.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 03 Jan 2024 23:38:53 -0800

livecd-rootfs (24.04.15) noble; urgency=medium

  * live-build/ubuntu/hooks/020-ubuntu-live.chroot_early: apply to any
    layer ending in .live so this can be reused across flavors
  * live-build/ubuntu/hooks/020-ubuntu-live.chroot_early: check for
    glib-compile-schemas presence before calling
  * live-build/auto/config: include a sanity check that no layered image has
    more than one "live" layer that would cause undefined behavior with the
    above hook.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 03 Jan 2024 23:26:05 -0800
