## livecd-rootfs 24.04.69

=== debian/changelog ===
livecd-rootfs (24.04.69) noble; urgency=medium

  * desktop: move udisks2-inhibit to service (LP: #2063192)

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 23 Apr 2024 13:37:05 -0600

livecd-rootfs (24.04.68) noble; urgency=medium

  * Rename the milk-v-mars SUBARCH to milkvmars.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 23 Apr 2024 15:20:56 +0100

livecd-rootfs (24.04.67) noble; urgency=medium

  [ Julian Andres Klode ]
  * Update wording for universe sources

  [ Łukasz 'sil2100' Zemczak ]
  * Update the classic model assertion for TPM FDE, dropping thunderbird as
    it is not part of the minimal install.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 22 Apr 2024 13:00:36 +0100

livecd-rootfs (24.04.66) noble; urgency=medium

  [ Heinrich Schuchardt ]
  * riscv: add pre-installed image for Milk-V Mars.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 22 Apr 2024 09:11:59 +0100

livecd-rootfs (24.04.65) noble; urgency=medium

  [ Aaron Rainbolt ]
  * Allows Multiverse packages to be pulled into Kubuntu. This is necessary so
    that fonts-ibm-plex can be installed on the ISO, which is going to be used
    by kubuntu-installer-prompt as part of Kubuntu's rebrand.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 18 Apr 2024 19:35:49 +0200

livecd-rootfs (24.04.64) noble; urgency=medium

  * Update the Ubuntu classic model assertion for TPM FDE to the 24.04 model.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 18 Apr 2024 18:57:28 +0200

livecd-rootfs (24.04.63) noble; urgency=medium

  [ Simon Poirier ]
  * Re-enable armhf disk-image-uefi building. (LP: #2062024)
    This reverts commit 4f51ff45 (fix: Remove UEFI booting armhf, 2024-03-12).

 -- Philip Roche <phil.roche@canonical.com>  Wed, 17 Apr 2024 18:28:47 +0100

livecd-rootfs (24.04.62) noble; urgency=medium

  [ Steve Langasek ]
  * Invert check for whether to include casper since the "yes" list is now
    much shorter than the "no" list
  * Refactor task/package handling for new installer images

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 15 Apr 2024 22:40:40 -0600

livecd-rootfs (24.04.61) noble; urgency=medium

  * Fix the UC24 builds: use --snap instead of --extra-snaps.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 11 Apr 2024 10:44:04 +0200

livecd-rootfs (24.04.60) noble; urgency=medium

  * Drop use of 'laptop' for x13s as this is now migrated to generic.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Apr 2024 21:35:46 -0700

livecd-rootfs (24.04.59) noble; urgency=medium

  [ Catherine Redfield ]
  * Add policy:unconfined_restrictions feature to 6.8 kernel (LP: #2060558)

  [ Dan Bungert ]
  * budgie: remove add_snap of ubuntu-budgie-installer,
    ubuntu-desktop-bootstrap is used instead. (LP: #2060568)

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 08 Apr 2024 14:09:15 -0600

livecd-rootfs (24.04.58) noble; urgency=medium

  * Add console-conf to UC24 extra snaps by default, as the models define
    it as optional so we need to explicitly request it to be added.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 08 Apr 2024 16:24:38 +0200

livecd-rootfs (24.04.57) noble; urgency=medium

  * Ensure the proper hooks are copied for Ubuntu MATE (LP: #2058161).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 07 Apr 2024 17:37:21 -0500

livecd-rootfs (24.04.56) noble; urgency=medium

  * l/a/build: if debootstrap fails, cat deboostrap.log
  * flavors: cloud-init needs to be present in Subiquity-based installers.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 01 Apr 2024 19:39:25 -0600

livecd-rootfs (24.04.55) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Mar 2024 11:26:01 -0700

livecd-rootfs (24.04.54) noble; urgency=medium

  [ Steve Langasek ]
  * Drop dkms from the riscv64 lichee images.

  [ Erich Eickmeyer ]
  * Add chroot_early symlink for Ubuntu MATE

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 28 Mar 2024 11:47:02 -0600

livecd-rootfs (24.04.53) noble; urgency=medium

  * Add support for building Ubuntu Core 24 images.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 28 Mar 2024 12:10:15 +0100

livecd-rootfs (24.04.52) noble; urgency=medium

  * Move from hwe-22.04 to hwe-24.04 throughout, hwe-22.04 is obsolete and
    to be dropped from the release pocket imminently.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 27 Mar 2024 12:03:04 -0700

livecd-rootfs (24.04.51) noble; urgency=medium

  * Rename the casper.gschema override to livecd-rootfs.override
    to try to avoid conflicts with the override generated in casper

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 25 Mar 2024 11:46:35 +0100

livecd-rootfs (24.04.50) noble; urgency=medium

  [ Dan Bungert ]
  * Use the same includes.chroot* overrides from desktop for the
    subiquity-backed oem and flavor installer ISOs. (LP: #2055077)
  * copy include.* directories for subiquity desktop install ISOs (LP: #2055077)

  [ Utkarsh Gupta ]
  * Add NOW env variable in autopkgtest.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 21 Mar 2024 01:23:00 +0530

livecd-rootfs (24.04.49) noble; urgency=medium

  [ Erich Eickmeyer]
  * Move Ubuntu MATE to the new Ubuntu desktop installer snap.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 Mar 2024 13:18:54 -0700

livecd-rootfs (24.04.48) noble; urgency=medium

  * Fix bash synxtax for index parameter expansion.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 13 Mar 2024 18:43:53 +0530

livecd-rootfs (24.04.47) noble; urgency=medium

  [ Utkarsh Gupta ]
  * Add build_name metadata to build.info file for OCI and Base images.

  [ jchittum ]
  * Drop support for armhf uefi booting vm images. (LP: #2057776)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 13 Mar 2024 18:27:01 +0530

livecd-rootfs (24.04.46) noble; urgency=medium

  [ Dan Bungert ]
